Payment API
string · requiredstring
string · requiredstring · requiredstring
Authenticate API requests with your merchant bearer token. See the authentication guide to obtain a token. The endpoints below manage which users can access a merchant account.
Add a User to a Merchant
POST
https://pay-sandbox.izipay.ao
/api/merchants/{merchantId}/users
Bearer (JWT)
Method and route: POST /api/merchants/{merchantId}/users. Grants a user access to a merchant account with the selected role. This is the endpoint to use when an existing user should be invited or attached to a merchant workspace.
path Parameters
merchantIdMerchant identifier.
Add a User to a Merchant › Responses
User added to merchant.
messageRemove a User From a Merchant
DELETE
https://pay-sandbox.izipay.ao
/api/merchants/{merchantId}/users/{userId}
Bearer (JWT)
Method and route: DELETE /api/merchants/{merchantId}/users/{userId}. Revokes a user's access to a merchant account. Use it when someone leaves a team or no longer needs access to that merchant.
path Parameters
merchantIdMerchant identifier.
userIdUser identifier.
Remove a User From a Merchant › Responses
User removed from merchant.
message